<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
  <pomVersion>3</pomVersion>
  <extend>${basedir}/../../etc/project.xml</extend>

  <name>ActiveMQ :: Core</name>
  <id>activemq-core</id>
  <description>ActiveMQ is an open source message broker and JMS 1.1 provider</description>
  <shortDescription>ActiveMQ JMS Message Broker</shortDescription>

  <package>org.activemq</package>
  <packageGroups>
    <packageGroup>
      <title>Core JMS Client API</title>
      <packages>org.activemq:org.activemq.message</packages>
    </packageGroup>
    <packageGroup>
      <title>JMS Broker and Container</title>
      <packages>org.activemq.broker:org.activemq.broker.*</packages>
    </packageGroup>
    <packageGroup>
      <title>Management Statistics</title>
      <packages>org.activemq.management</packages>
    </packageGroup>
    <packageGroup>
      <title>JNDI support</title>
      <packages>org.activemq.jndi</packages>
    </packageGroup>
    <packageGroup>
      <title>Message filter and router</title>
      <packages>org.activemq.filter:org.activemq.filter.*:org.activemq.selector</packages>
    </packageGroup>
    <packageGroup>
      <title>Security strategies and implementations</title>
      <packages>org.activemq.security</packages>
    </packageGroup>
    <packageGroup>
      <title>Transport and WireFormat strategies and implementations</title>
      <packages>org.activemq.transport:org.activemq.transport.*</packages>
    </packageGroup>
    <packageGroup>
      <title>Message persistence strategies and implementations</title>
      <packages>org.activemq.store:org.activemq.store.*</packages>
    </packageGroup>
    <packageGroup>
      <title>Core router services</title>
      <packages>org.activemq.service:org.activemq.service.*</packages>
    </packageGroup>
    <packageGroup>
      <title>Utilities</title>
      <packages>org.activemq.capacity:org.activemq.io.util:org.activemq.util</packages>
    </packageGroup>
  </packageGroups>
  
  <!-- ============ -->
  <!-- Dependencies -->
  <!-- ============ -->
  <dependencies>

    
    <!-- used to support optional transport configuration via URI query strings -->
    <dependency>
      <groupId>commons-beanutils</groupId>
      <artifactId>commons-beanutils</artifactId>
      <version>${commons_beanutils_version}</version>
      <properties>
        <war.bundle>true</war.bundle>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <!-- parser for selectors -->
    <dependency>
      <groupId>javacc</groupId>
      <artifactId>javacc</artifactId>
      <version>${javacc_version}</version>
      <jar>JavaCC.zip</jar>
    </dependency>

    <!-- an optional discovery agent -->
    <dependency>
      <groupId>activecluster</groupId>
      <artifactId>activecluster</artifactId>
      <version>${activecluster_version}</version>
    </dependency>

    <dependency>
      <groupId>activeio</groupId>
      <artifactId>activeio</artifactId>
      <version>${activeio_version}</version>
    </dependency>

    <dependency>
      <groupId>commons-collections</groupId>
      <artifactId>commons-collections</artifactId>
      <version>${commons_collections_version}</version>
    </dependency>

    <!-- used when we implement rules based message dispatching -->
    <!--
    <dependency>
      <groupId>drools</groupId>
      <artifactId>drools-core</artifactId>    
      <version>${drools_core_version}</version>    
      <version>&drools-core-version;</version>
    </dependency>
    -->

    <dependency>
      <groupId>jmock</groupId>
      <artifactId>jmock</artifactId>
      <version>${jmock_version}</version>
      <url>http://jmock.codehaus.org/</url>
    </dependency>

    <dependency>
      <groupId>jmock</groupId>
      <artifactId>jmock-cglib</artifactId>
      <version>${jmock_cglib_version}</version>
      <url>http://jmock.codehaus.org/</url>
    </dependency>

    <dependency>
      <groupId>cglib</groupId>
      <artifactId>cglib-full</artifactId>
      <version>${cglib_full_version}</version>
      <url>http://cglib.sourceforge.net/</url>
    </dependency>

    <!-- Derby SQL DB used for testing JDBC message store -->
    <dependency>
      <groupId>incubator-derby</groupId>
      <artifactId>derby</artifactId>
      <version>${derby_version}</version>
    </dependency>

    <!-- Axion SQL DB used for testing JDBC message store -->
    <dependency>
      <groupId>axion</groupId>
      <artifactId>axion</artifactId>
      <version>${axion_version}</version>
    </dependency>
    <dependency>
      <groupId>commons-collections</groupId>
      <artifactId>commons-collections</artifactId>
      <version>${commons_collections_version}</version>
    </dependency>
    <dependency>
      <groupId>commons-primitives</groupId>
      <artifactId>commons-primitives</artifactId>
      <version>${commons_primitives_version}</version>
    </dependency>
    <dependency>
      <groupId>regexp</groupId>
      <artifactId>regexp</artifactId>
      <version>${regexp_version}</version>

    </dependency>

    <!-- HSQL SQL DB used for testing JDBC message store -->
    <dependency>
      <groupId>hsqldb</groupId>
      <artifactId>hsqldb</artifactId>
      <version>${hsqldb_version}</version>
    </dependency>
    <dependency>
      <groupId>commons-dbcp</groupId>
      <artifactId>commons-dbcp</artifactId>
      <version>${commons_dbcp_version}</version>
    </dependency>
    <dependency>
      <groupId>commons-pool</groupId>
      <artifactId>commons-pool</artifactId>
      <version>${commons_pool_version}</version>
    </dependency>

    <!-- For Journal -->
    <dependency>
      <groupId>howl</groupId>
      <artifactId>howl-logger</artifactId>
      <version>${howl_logger_version}</version>
      <url>http://forge.objectweb.org/projects/howl</url>
    </dependency>

    <!-- For Spring -->
    <dependency>
      <id>springframework</id>
      <artifactId>spring</artifactId>
      <version>${spring_version}</version>
      <url>http://www.springframework.org</url>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>

    <!-- For XMLBeans -->
    <dependency>
      <groupId>xmlbeans</groupId>
      <artifactId>xbean</artifactId>
      <version>2.0.0-beta1</version>
    </dependency>
    <dependency>
      <groupId>xmlbeans</groupId>
      <artifactId>xmlpublic</artifactId>
      <version>2.0.0-beta1</version>
    </dependency>
    <dependency>
      <groupId>xmlbeans</groupId>
      <artifactId>xbean_xpath</artifactId>
      <version>2.0.0-beta1</version>
    </dependency>

    <dependency>
      <id>stax+api</id>
      <version>1.0</version>
    </dependency>
    <dependency>
      <id>stax</id>
      <version>1.1.1-dev</version>
    </dependency>

    <!-- To use XPath using JAXP 1.3 (std in Java 5) -->
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxp-api</artifactId>
      <version>1.3</version>
    </dependency>

    <!-- To use XPath using JAXP 1.2 (easier to add to Java 1.4.x) -->
    <dependency>
      <groupId>xalan</groupId>
      <artifactId>xalan</artifactId>
      <version>2.6.0</version>
    </dependency>

    <!-- to test Jabber transport -->
    <dependency>
      <groupId>activemq</groupId>
      <artifactId>smack</artifactId>
      <version>1.5.0</version>
    </dependency>
    <dependency>
      <groupId>activemq</groupId>
      <artifactId>smackx</artifactId>
      <version>1.5.0</version>
    </dependency>


  </dependencies>

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
      <excludes>

        <!-- disable multicast related tests by default -->
        <exclude>**/multicast/*</exclude>

        <!-- not sure why these tests fail -->
        <exclude>**/TransportChannelProviderTest.*</exclude>
        <!-- This test fail every once in while on win32 -->
        <exclude>**/ExceptionListener2Test.*</exclude>
        <!-- This test fails on linux -->
        <exclude>**/PeerTransportTest.*</exclude>
        <exclude>**/KeepAliveDaemonTest.*</exclude>
        <exclude>**/UdpTransportChannelTest.*</exclude>
        <exclude>**/JmsTopicRequestorTest.*</exclude>
        <exclude>**/activeio/ExceptionListenerTest.*</exclude>
 
        <!-- disable known bugs -->
        <exclude>**/JmsQueueXATransactionTest.*</exclude>

        <!-- This is failing on win32 -->
        <exclude>**/RemoteTransportTest.*</exclude>

        <!-- disable Jabber support until its working -->
        <exclude>**/JabberTransportTest.*</exclude>

        <!--
        <exclude>**/CompressionMessageTest.*</exclude>
        <exclude>**/FragmentPersistentQueueTest.*</exclude>
        <exclude>**/FragmentTransientQueueTest.*</exclude>
        <exclude>**/FragmentTopicTest.*</exclude>
        -->
        <exclude>**/*TopicMessageStoreTest.*</exclude>
        <exclude>**/*HowlJournal*Test.*</exclude>
        <exclude>**/JmsTransientQueueTransactionTest.*</exclude>

      </excludes>
    </unitTest>

    <resources>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
  </build>


</project>
